@echo off
:top
cls
echo                               CARMAGEDDON
echo                                starring
echo                    Lo Wang (John Galt) as Max Damage
echo                  Lani Manella/Rose Schuler as Die Anna
echo.
echo                               by Paul J. Smith
echo                           a.k.a.  Wally Waffles
echo.
echo                          1 - (N)ormal Installation
echo                          2 - (Z)ippy Installation
echo.
echo                          3 - (U)ninstall
echo.
echo                          4 - (C)heck for SoundPacks
echo                          5 - Read (t)ext file
echo                          6 - E(x)it
echo.
echo        Shadow Warrior, and Lo Wang (c)1996-1997 3D Realms
echo        Carmageddon (c)1997 Interplay
echo        This modified version of Carmageddon is not made or supported by
echo        Interplay or by 3D Realms.
echo.
echo Last Modified:  June 25, 1998 - v1.01
choice /n /c:123456nzuctx /t:x,20
if errorlevel 12 goto end
if errorlevel 11 goto text
if errorlevel 10 goto sfxcheck
if errorlevel 9 goto uninstall
if errorlevel 8 goto inzip
if errorlevel 7 goto innorm
if errorlevel 6 goto end
if errorlevel 5 goto text
if errorlevel 4 goto sfxcheck
if errorlevel 3 goto uninstall
if errorlevel 2 goto inzip
if errorlevel 1 goto innorm

:innorm
if exist DATA\SOUND\SFXCHECK.TXT goto foundsfx
cls
echo If at any time you wish to abort installation, press Ctrl-C
echo.
echo This is a batch file.  The following 3 conditions MUST be present!
echo.
echo    *Are we in your Carmageddon directory?
echo    *Is PKUNZIP.EXE in the current directory?
echo    *WangLani.ZIP in the current directory?
echo.
echo If these three conditions are not present, abort and make it so!
pause
if not exist WANGLANI.ZIP goto nozip
if not exist PKUNZIP.EXE goto nopkun
CLS
echo Wang & Lani Carmageddon will require about 1,942 KB of free space to install.
pause
CLS
echo I'm going to create a directory called "ORIG" in your DATA\SOUND directory.
echo This is where I'll move the original waves that will be replaced.
pause
CLS
CD DATA\SOUND
echo Creating "ORIG" direcorty...
MD ORIG
echo Backing up original Carmageddon .wav files...
if exist BETHURT.WAV MOVE BETHURT.WAV ORIG
if exist BOYS02.WAV MOVE BOYS02.WAV ORIG
if exist BOYS06.WAV MOVE BOYS06.WAV ORIG
if exist BOYS08.WAV MOVE BOYS08.WAV ORIG
if exist BUTT.WAV MOVE BUTT.WAV ORIG
if exist CHKPOINT.WAV MOVE CHKPOINT.WAV ORIG
if exist CREDITSD.WAV MOVE CREDITSD.WAV ORIG
if exist CREDITSU.WAV MOVE CREDITSU.WAV ORIG
if exist DONE.WAV MOVE DONE.WAV ORIG
if exist EEEUGH.WAV MOVE EEEUGH.WAV ORIG
if exist EEUUW.WAV MOVE EEUUW.WAV ORIG
if exist EEUUW3.WAV MOVE EEUUW3.WAV ORIG
if exist FAA02.WAV MOVE FAA02.WAV ORIG
if exist FAAH.WAV MOVE FAAH.WAV ORIG
if exist FAARGH3.WAV MOVE FAARGH3.WAV ORIG
if exist FAARGH5.WAV MOVE FAARGH5.WAV ORIG
if exist FAH.WAV MOVE FAH.WAV ORIG
if exist FALRITE2.WAV MOVE FALRITE2.WAV ORIG
if exist FALRITE3.WAV MOVE FALRITE3.WAV ORIG
if exist FBETHRT3.WAV MOVE FBETHRT3.WAV ORIG
if exist FDEAD.WAV MOVE FDEAD.WAV ORIG
if exist FGETCHA.WAV MOVE FGETCHA.WAV ORIG
if exist FGODDAM.WAV MOVE FGODDAM.WAV ORIG
if exist FGRR4.WAV MOVE FGRR4.WAV ORIG
if exist FGRR7.WAV MOVE FGRR7.WAV ORIG
if exist FHAHA1.WAV MOVE FHAHA1.WAV ORIG
if exist FHURT1.WAV MOVE FHURT1.WAV ORIG
if exist FINALLAP.WAV MOVE FINALLAP.WAV ORIG
if exist FLAFF3.WAV MOVE FLAFF3.WAV ORIG
if exist FMESSY.WAV MOVE FMESSY.WAV ORIG
if exist FMUTHA.WAV MOVE FMUTHA.WAV ORIG
if exist FOARGH.WAV MOVE FOARGH.WAV ORIG
if exist FOHSHIT1.WAV MOVE FOHSHIT1.WAV ORIG
if exist FOOH.WAV MOVE FOOH.WAV ORIG
if exist FOOH2.WAV MOVE FOOH2.WAV ORIG
if exist FOW.WAV MOVE FOW.WAV ORIG
if exist FOW2.WAV MOVE FOW2.WAV ORIG
if exist FOW3.WAV MOVE FOW3.WAV ORIG
if exist FOWHURT2.WAV MOVE FOWHURT2.WAV ORIG
if exist FPRAY2.WAV MOVE FPRAY2.WAV ORIG
if exist FRIGHT01.WAV MOVE FRIGHT01.WAV ORIG
if exist FSHITHAP.WAV MOVE FSHITHAP.WAV ORIG
if exist FSORRY2.WAV MOVE FSORRY2.WAV ORIG
if exist FSORRY3.WAV MOVE FSORRY3.WAV ORIG
if exist FSUMVA.WAV MOVE FSUMVA.WAV ORIG
if exist FWOOHOO.WAV MOVE FWOOHOO.WAV ORIG
if exist FYEAH1.WAV MOVE FYEAH1.WAV ORIG
if exist FYEAH2.WAV MOVE FYEAH2.WAV ORIG
if exist GETYOU.WAV MOVE GETYOU.WAV ORIG
if exist GO!.WAV MOVE GO!.WAV ORIG
if exist HAHA.WAV MOVE HAHA.WAV ORIG
if exist HAHAHA.WAV MOVE HAHAHA.WAV ORIG
if exist INWAR.WAV MOVE INWAR.WAV ORIG
if exist MOODEATH.WAV MOVE MOODEATH.WAV ORIG
if exist OHSHIT.WAV MOVE OHSHIT.WAV ORIG
if exist OUTOTIM2.WAV MOVE OUTOTIM2.WAV ORIG
if exist OWHURT.WAV MOVE OWHURT.WAV ORIG
if exist PARTBUY.WAV MOVE PARTBUY.WAV ORIG
if exist PARTNO.WAV MOVE PARTNO.WAV ORIG
if exist RACECPLT.WAV MOVE RACECPLT.WAV ORIG
if exist SORRY2.WAV MOVE SORRY2.WAV ORIG
if exist SORRY5.WAV MOVE SORRY5.WAV ORIG
if exist WRONGCP.WAV MOVE WRONGCP.WAV ORIG
echo I am now ready to unzip the new sounds.
pause
..\..\PKUNZIP.EXE ..\..\WANGLANI.ZIP *.WAV
..\..\PKUNZIP.EXE ..\..\WANGLANI.ZIP SFXCHECK.TXT
CD ..\..
if not exist WANGLANI.TXT PKUNZIP.EXE WANGLANI.ZIP WANGLANI.TXT
echo Installation complete!  Just run Carmageddon the way you normally do.
echo.
echo Be sure to uninstall this sound patch before you try installing a
echo different one!
echo.
echo To uninstall, select "Uninstall" from the main menu
goto return

:inzip
if exist DATA\SOUND\SFXCHECK.TXT goto foundsfx
cls
echo If at any time you wish to abort installation, press Ctrl-C
echo.
echo This is a batch file.  The following 4 conditions MUST be present!
echo.
echo    *Are we in your Carmageddon directory?
echo    *Is PKUNZIP.EXE in the current directory?
echo    *Is PKZIP.EXE in the current directory?
echo    *WangLani.ZIP in the current directory?
echo.
echo If these four conditions are not present, abort and make it so!
pause
if not exist WANGLANI.ZIP goto nozip
if not exist PKUNZIP.EXE goto nopkun
if not exist PKZIP.EXE goto nopkzip
CLS
echo Wang & Lani Carmageddon will require about 1,622 KB of free space to install.
pause
CLS
echo I'm going to create a directory called "ORIG" in your DATA\SOUND directory.
echo This is where I'll put the original waves that will be replaced.  They will
echo then be zipped up into a file called "ORIGWAVE.ZIP".
pause
CLS
CD DATA\SOUND
echo Creating "ORIG" direcorty...
MD ORIG
echo Backing up original Carmageddon .wav files...
if exist BETHURT.WAV MOVE BETHURT.WAV ORIG
if exist BOYS02.WAV MOVE BOYS02.WAV ORIG
if exist BOYS06.WAV MOVE BOYS06.WAV ORIG
if exist BOYS08.WAV MOVE BOYS08.WAV ORIG
if exist BUTT.WAV MOVE BUTT.WAV ORIG
if exist CHKPOINT.WAV MOVE CHKPOINT.WAV ORIG
if exist CREDITSD.WAV MOVE CREDITSD.WAV ORIG
if exist CREDITSU.WAV MOVE CREDITSU.WAV ORIG
if exist DONE.WAV MOVE DONE.WAV ORIG
if exist EEEUGH.WAV MOVE EEEUGH.WAV ORIG
if exist EEUUW.WAV MOVE EEUUW.WAV ORIG
if exist EEUUW3.WAV MOVE EEUUW3.WAV ORIG
if exist FAA02.WAV MOVE FAA02.WAV ORIG
if exist FAAH.WAV MOVE FAAH.WAV ORIG
if exist FAARGH3.WAV MOVE FAARGH3.WAV ORIG
if exist FAARGH5.WAV MOVE FAARGH5.WAV ORIG
if exist FAH.WAV MOVE FAH.WAV ORIG
if exist FALRITE2.WAV MOVE FALRITE2.WAV ORIG
if exist FALRITE3.WAV MOVE FALRITE3.WAV ORIG
if exist FBETHRT3.WAV MOVE FBETHRT3.WAV ORIG
if exist FDEAD.WAV MOVE FDEAD.WAV ORIG
if exist FGETCHA.WAV MOVE FGETCHA.WAV ORIG
if exist FGODDAM.WAV MOVE FGODDAM.WAV ORIG
if exist FGRR4.WAV MOVE FGRR4.WAV ORIG
if exist FGRR7.WAV MOVE FGRR7.WAV ORIG
if exist FHAHA1.WAV MOVE FHAHA1.WAV ORIG
if exist FHURT1.WAV MOVE FHURT1.WAV ORIG
if exist FINALLAP.WAV MOVE FINALLAP.WAV ORIG
if exist FLAFF3.WAV MOVE FLAFF3.WAV ORIG
if exist FMESSY.WAV MOVE FMESSY.WAV ORIG
if exist FMUTHA.WAV MOVE FMUTHA.WAV ORIG
if exist FOARGH.WAV MOVE FOARGH.WAV ORIG
if exist FOHSHIT1.WAV MOVE FOHSHIT1.WAV ORIG
if exist FOOH.WAV MOVE FOOH.WAV ORIG
if exist FOOH2.WAV MOVE FOOH2.WAV ORIG
if exist FOW.WAV MOVE FOW.WAV ORIG
if exist FOW2.WAV MOVE FOW2.WAV ORIG
if exist FOW3.WAV MOVE FOW3.WAV ORIG
if exist FOWHURT2.WAV MOVE FOWHURT2.WAV ORIG
if exist FPRAY2.WAV MOVE FPRAY2.WAV ORIG
if exist FRIGHT01.WAV MOVE FRIGHT01.WAV ORIG
if exist FSHITHAP.WAV MOVE FSHITHAP.WAV ORIG
if exist FSORRY2.WAV MOVE FSORRY2.WAV ORIG
if exist FSORRY3.WAV MOVE FSORRY3.WAV ORIG
if exist FSUMVA.WAV MOVE FSUMVA.WAV ORIG
if exist FWOOHOO.WAV MOVE FWOOHOO.WAV ORIG
if exist FYEAH1.WAV MOVE FYEAH1.WAV ORIG
if exist FYEAH2.WAV MOVE FYEAH2.WAV ORIG
if exist GETYOU.WAV MOVE GETYOU.WAV ORIG
if exist GO!.WAV MOVE GO!.WAV ORIG
if exist HAHA.WAV MOVE HAHA.WAV ORIG
if exist HAHAHA.WAV MOVE HAHAHA.WAV ORIG
if exist INWAR.WAV MOVE INWAR.WAV ORIG
if exist MOODEATH.WAV MOVE MOODEATH.WAV ORIG
if exist OHSHIT.WAV MOVE OHSHIT.WAV ORIG
if exist OUTOTIM2.WAV MOVE OUTOTIM2.WAV ORIG
if exist OWHURT.WAV MOVE OWHURT.WAV ORIG
if exist PARTBUY.WAV MOVE PARTBUY.WAV ORIG
if exist PARTNO.WAV MOVE PARTNO.WAV ORIG
if exist RACECPLT.WAV MOVE RACECPLT.WAV ORIG
if exist SORRY2.WAV MOVE SORRY2.WAV ORIG
if exist SORRY5.WAV MOVE SORRY5.WAV ORIG
if exist WRONGCP.WAV MOVE WRONGCP.WAV ORIG
CD ORIG
..\..\..\PKZIP.EXE ORIGWAVE.ZIP *.WAV
CD ..
DEL ORIG\*.WAV
echo I am now ready to unzip the new sounds.
pause
..\..\PKUNZIP.EXE ..\..\WANGLANI.ZIP *.WAV
..\..\PKUNZIP.EXE ..\..\WANGLANI.ZIP SFXCHECK.TXT
CD ..\..
if not exist WANGLANI.TXT PKUNZIP.EXE WANGLANI.ZIP WANGLANI.TXT
echo Installation complete!  Just run Carmageddon the way you normally do.
echo.
echo Be sure to uninstall this sound patch before you try installing a
echo different one!
echo.
echo To uninstall, select "Uninstall" from the main menu
goto return

:uninstall
if not exist DATA\SOUND\SFXCHECK.TXT goto nopack
cls
echo Are you SURE you want to UNINSTALL Shadow Warrior Carmageddon SoundPack? [Y/N]
choice /n /c:yn /t:n,20
if errorlevel 2 goto no_un
if errorlevel 1 goto yes_un

:no_un
echo Uninstallation Aborted ^.^
goto return

:yes_un
echo You chose to UNINSTALL!
pause
echo Shadow Warrior Carmageddon SoundPack is now being uninstalled...
if exist WANGLANI.TXT DEL WANGLANI.TXT
del DATA\SOUND\SFXCHECK.TXT
echo Restoring the original Carmageddon sounds...
if exist DATA\SOUND\ORIG\ORIGWAVE.ZIP goto origzip
CD DATA\SOUND\ORIG
MOVE *.* ..
CD ..
goto un_done

:origzip
CD DATA\SOUND
if exist BETHURT.WAV DEL BETHURT.WAV
if exist BOYS02.WAV DEL BOYS02.WAV
if exist BOYS06.WAV DEL BOYS06.WAV
if exist BOYS08.WAV DEL BOYS08.WAV
if exist BUTT.WAV DEL BUTT.WAV
if exist CHKPOINT.WAV DEL CHKPOINT.WAV
if exist CREDITSD.WAV DEL CREDITSD.WAV
if exist CREDITSU.WAV DEL CREDITSU.WAV
if exist DONE.WAV DEL DONE.WAV
if exist EEEUGH.WAV DEL EEEUGH.WAV
if exist EEUUW.WAV DEL EEUUW.WAV
if exist EEUUW3.WAV DEL EEUUW3.WAV
if exist FAA02.WAV DEL FAA02.WAV
if exist FAAH.WAV DEL FAAH.WAV
if exist FAARGH3.WAV DEL FAARGH3.WAV
if exist FAARGH5.WAV DEL FAARGH5.WAV
if exist FAH.WAV DEL FAH.WAV
if exist FALRITE2.WAV DEL FALRITE2.WAV
if exist FALRITE3.WAV DEL FALRITE3.WAV
if exist FBETHRT3.WAV DEL FBETHRT3.WAV
if exist FDEAD.WAV DEL FDEAD.WAV
if exist FGETCHA.WAV DEL FGETCHA.WAV
if exist FGODDAM.WAV DEL FGODDAM.WAV
if exist FGRR4.WAV DEL FGRR4.WAV
if exist FGRR7.WAV DEL FGRR7.WAV
if exist FHAHA1.WAV DEL FHAHA1.WAV
if exist FHURT1.WAV DEL FHURT1.WAV
if exist FINALLAP.WAV DEL FINALLAP.WAV
if exist FLAFF3.WAV DEL FLAFF3.WAV
if exist FMESSY.WAV DEL FMESSY.WAV
if exist FMUTHA.WAV DEL FMUTHA.WAV
if exist FOARGH.WAV DEL FOARGH.WAV
if exist FOHSHIT1.WAV DEL FOHSHIT1.WAV
if exist FOOH.WAV DEL FOOH.WAV
if exist FOOH2.WAV DEL FOOH2.WAV
if exist FOW.WAV DEL FOW.WAV
if exist FOW2.WAV DEL FOW2.WAV
if exist FOW3.WAV DEL FOW3.WAV
if exist FOWHURT2.WAV DEL FOWHURT2.WAV
if exist FPRAY2.WAV DEL FPRAY2.WAV
if exist FRIGHT01.WAV DEL FRIGHT01.WAV
if exist FSHITHAP.WAV DEL FSHITHAP.WAV
if exist FSORRY2.WAV DEL FSORRY2.WAV
if exist FSORRY3.WAV DEL FSORRY3.WAV
if exist FSUMVA.WAV DEL FSUMVA.WAV
if exist FWOOHOO.WAV DEL FWOOHOO.WAV
if exist FYEAH1.WAV DEL FYEAH1.WAV
if exist FYEAH2.WAV DEL FYEAH2.WAV
if exist GETYOU.WAV DEL GETYOU.WAV
if exist GO!.WAV DEL GO!.WAV
if exist HAHA.WAV DEL HAHA.WAV
if exist HAHAHA.WAV DEL HAHAHA.WAV
if exist INWAR.WAV DEL INWAR.WAV
if exist MOODEATH.WAV DEL MOODEATH.WAV
if exist OHSHIT.WAV DEL OHSHIT.WAV
if exist OUTOTIM2.WAV DEL OUTOTIM2.WAV
if exist OWHURT.WAV DEL OWHURT.WAV
if exist PARTBUY.WAV DEL PARTBUY.WAV
if exist PARTNO.WAV DEL PARTNO.WAV
if exist RACECPLT.WAV DEL RACECPLT.WAV
if exist SORRY2.WAV DEL SORRY2.WAV
if exist SORRY5.WAV DEL SORRY5.WAV
if exist WRONGCP.WAV DEL WRONGCP.WAV
..\..\PKUNZIP.EXE ORIG\ORIGWAVE.ZIP *.WAV
DEL ORIG\*.ZIP
goto un_done

:un_done
RD ORIG
CD ..\..
echo Uninstallation complete.  WANGLANI.BAT still exists though, so you'll have
echo to delete that yourself.
goto return

:text
cls
if not exist WANGLANI.TXT if exist PKUNZIP.EXE if exist WANGLANI.ZIP PKUNZIP.EXE WANGLANI.ZIP WANGLANI.TXT
if not exist WANGLANI.TXT echo WANGLANI.TXT not found! You can unzip it from WANGLANI.ZIP
if exist WANGLANI.TXT type WANGLANI.TXT | MORE
goto return

:nozip
echo WANGLANI.ZIP not found!
echo Cannot install!
goto return

:nopkun
echo PKUNZIP.EXE not found!
echo Can't unzip WangLani.zip without it!
goto return

:nopkzip
echo PKZIP.EXE not found!
echo Can't do the zippy install without it!
goto return

:nopack
echo DATA\SOUND\SFXCHECK.TXT not found!
echo This means that there's nothing to uninstall.
goto return

:foundsfx
echo Found DATA\SOUND\SFXCHECK.TXT!
echo This means that a SoundPack already exists:
pause
goto sfxcheck

:return
pause
goto top

:sfxcheck
cls
if not exist DATA\SOUND\SFXCHECK.TXT echo No SoundPack was found
if exist DATA\SOUND\SFXCHECK.TXT type DATA\SOUND\SFXCHECK.TXT |MORE
goto return

:end
cls
echo                                CARMAGEDDON
echo                                 staring
echo                    Lo Wang (John Galt) as Max Damage
echo                  Lani Manella/Rose Schuler as Die Anna
echo.
echo                 WANGLANI.ZIP was smacked together by Paul J. Smith,
echo                 a.k.a. Wally Waffles
echo                 E-Mail address:  wallywaffles@geocites.com
echo                 URL: http://www.geocities.com/TimesSquare/Fortress/1896
echo                 Last Modified:  June 25, 1998 - v1.01
echo.
echo        Shadow Warrior, and Lo Wang (c)1996-1997 3D Realms
echo        Carmageddon (c)1997 Interplay
echo.
echo        This modified version of Carmageddon is not made or supported by
echo        Interplay or by 3D Realms.
echo.
echo Please distribute WANGLANI.ZIP to your friends!  If this is included in
echo a disk compilation, please send me a free copy.  I'd REALLY apreciate it!
echo Thanks!
